Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf.document.output
Class RtfDiskCache

    java.lang.Object
      com.lowagie.text.rtf.document.output.RtfDiskCache

All Implemented Interfaces:
  RtfDataCache

    public class RtfDiskCache

extends Object
implements RtfDataCache

The RtfFileCache is a RtfDataCache that uses a temporary file to store the rtf document data. Not so fast, but doesn't use any memory (just disk space).

Version:
  $Revision: 1555 $
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at)

Field Summary
`private BufferedOutputStream` | `data` The BufferedOutputStream that stores the cache data.
`private File` | `tempFile` The temporary file to store the data in.

Fields inherited from interface com.lowagie.text.rtf.document.output.RtfDataCache
`CACHE_DISK, CACHE_MEMORY, CACHE_MEMORY_EFFICIENT`

Constructor Summary
`RtfDiskCache()` Constructs a RtfFileCache.

Method Summary
`OutputStream` | `getOutputStream()` Gets the BufferedOutputStream to write to.
`void` | `writeTo(OutputStream target)` Writes the content of the temporary file into the OutputStream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    private BufferedOutputStream data

  The BufferedOutputStream that stores the cache data.

### tempFile

    private File tempFile

  The temporary file to store the data in.

Constructor Detail

### RtfDiskCache

    public RtfDiskCache()
                 throws IOException

  Constructs a RtfFileCache. Creates the temp file.

  Throws:
    `IOException` - If the temporary file could not be created.

Method Detail

### getOutputStream

    public OutputStream getOutputStream()

  Gets the BufferedOutputStream to write to.

  Specified by:
    `getOutputStream` in interface `RtfDataCache`
  Returns:
    The OutputStream the RtfDocument can use.

### writeTo

    public void writeTo(OutputStream target)
                 throws IOException

  Writes the content of the temporary file into the OutputStream.

  Specified by:
    `writeTo` in interface `RtfDataCache`
  Parameters:
    `target` - The OutputStream to write the content into.
  Throws:
    `IOException` - If an error occurs reading/writing.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD